<!-- manual page source format generated by PolyglotMan v3.0.7, -->
<!-- available via anonymous ftp from ftp.cs.berkeley.edu:/ucb/people/phelps/tcltk/rman.tar.Z -->

<HTML>
<HEAD>
<TITLE>Man page for localize.1</TITLE>
</HEAD>
<BODY bgcolor=white>
<A HREF="#toc">Table of Contents</A><P>

<H2><A NAME="sect0" HREF="#toc0">Name</A></H2>

<P>
localize - make global variables local when possible

<H2><A NAME="sect1" HREF="#toc1"><B>Synopsis</B></A></H2>

<P>
<B>localize</B> <I>infile</I> <I>outfile</I> { <I>infile</I> <I>outfile</I> }*

<H2><A NAME="sect2" HREF="#toc2"><B>Description</B></A></H2>

<P>
The <I>localize</I> program turns global variables that are used
in only a single procedure into static local variables for
the procedure. Note that variables with external linkage
might be used outside all the files this pass can see, so
they cannot be turned into locals; only variables in the
file symbol table are eligible for localization.

<H2><A NAME="sect3" HREF="#toc3"><B>History</B></A></H2>

<P>
This program was written by Chris Wilson.
<P>

<HR><P>
<A NAME="toc"><B>Table of Contents</B></A><P>
<UL>
<LI><A NAME="toc0" HREF="#sect0">Name</A></LI>
<LI><A NAME="toc1" HREF="#sect1">Synopsis</A></LI>
<LI><A NAME="toc2" HREF="#sect2">Description</A></LI>
<LI><A NAME="toc3" HREF="#sect3">History</A></LI>
</UL>
</BODY></HTML>
